> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Vehicle

Updates a vehicle. Parameters you omit keep their current values.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.chargeapi.co/v1/vehicles/veh_p4sfQGCKLoOwlnHVfAYGYI6atkAfbAjG \
    -H "Authorization: Bearer ch_sk_test_..." \
    --json '{
    "metadata": {
      "asset_tag": "veh-eu-4096"
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "veh_p4sfQGCKLoOwlnHVfAYGYI6atkAfbAjG",
      "object": "vehicle",
      "battery_capacity": 82000,
      "charging_standard": "CCS",
      "created": "2026-04-01T00:08:31.696Z",
      "drivers": ["drv_qlVg7yuAIOZQIrYfAQRwrViyDvN9cO3h"],
      "fleet": "flt_PGl4g6UktvxZKmz5kAHFoKAz2a4jrABl",
      "information": {
          "make": "Volvo",
          "model": "EX30",
          "year": "2025"
      },
      "metadata": {
          "asset_tag": "veh-us-4096"
      },
      "policy_ids": ["pol_jkmEs7fkshcfJxrNyxo8VZArLSElD0Kd"],
      "registration_plate": "AB-123-CD",
      "status": "active",
      "telemetry": "vtel_lRA1OL9xtVdrgK93GO0XYWRGH1Uerdfj",
      "updated": "2026-04-01T00:54:13.236Z",
      "vin": "YV1XZK5V0S1234567"
  }
  ```
</ResponseExample>

## Parameters

<ParamField body="information" type="object">
  Manufacturer details for the vehicle.

  <Expandable title="properties">
    <ParamField body="make" type="string | null">
      Vehicle manufacturer or brand.
    </ParamField>

    <ParamField body="model" type="string | null">
      Model name of the vehicle.
    </ParamField>

    <ParamField body="year" type="string | null">
      Model year of the vehicle.
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="registration_plate" type="string">
  Update license-plate / registration number.
</ParamField>

<ParamField body="status" type="string">
  Set lifecycle status of the vehicle.

  Available options: `active`, `inactive`, `retired`
</ParamField>

## More parameters

<ParamField body="battery_capacity" type="integer">
  Updated battery capacity in Wh.
</ParamField>

<ParamField body="charging_standard" type="string">
  Change the primary charging standard.

  Available options: `CCS`, `CHAdeMO`, `Type2`
</ParamField>

<ParamField body="metadata" type="object">
  Set of key-value pairs that you can attach to an object.
</ParamField>

## Returns

Returns the updated vehicle.
